Bug 98257 - Redhat 9, Install process crashed with anaconda
Redhat 9, Install process crashed with anaconda
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-29 09:49 EDT by Dominik E.
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-31 15:29:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik E. 2003-06-29 09:49:16 EDT
Description of problem:
After entering root PW, when are read packages, is install process crashed.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.normal install.
2.install crashed
3.
    
Actual results:
Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 761, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 157, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 225, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 151, in readPackages
    id.comps = method.readComps(id.hdList)
  File "/usr/lib/anaconda/installmethod.py", line 64, in readComps
    return self.readCompsViaMethod(hdlist)
  File "/usr/lib/anaconda/image.py", line 37, in readCompsViaMethod
    return ComponentSet(fname, hdlist)
  File "/usr/lib/anaconda/comps.py", line 1035, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/lib/anaconda/comps.py", line 740, in readCompsFile
    self.compsxml = rhpl.comps.Comps(file)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 297, in __init__
    self.load (filename)
  File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 304, in load
    doc = libxml2.parseMemory(file, len(file))
  File "/usr/lib/python2.2/site-packages/libxml2.py", line 975, in parseMemory
    ret = libxml2mod.xmlParseMemory(buffer, size)
TypeError: xmlParseMemory() argument 1 must be string without null bytes or
None, not str

Local variables in innermost frame:
buffer: ory">readline</packagereq>
      <packagereq type="mandator

Expected results:


Additional info:
Comment 1 Michael Fulbright 2003-06-30 12:03:14 EDT
My guesses would be:

 1) bad cd
 2) harddrive hw error
 3) not enough RAM

Could you please attach the entire error dump, which can be dumped to a floppy
when the error occurs.
Comment 2 Michael Fulbright 2003-07-31 15:29:41 EDT
Closing due to inactivity - please reopen if you have additional information to
add to this report.

Note You need to log in before you can comment on or make changes to this bug.